from models import *
from django.shortcuts import render_to_response
from django.http import HttpResponse

def uniqueShips(request):
    ships = Ship.objects.values('ship_name', 'ship_name_trans').distinct('ship_name')
    return render_to_response("uniqueShips.html", {'ships': ships, 'count': ships.count()}) 


def uniquePorts(request):
    ports = Ship.objects.order_by('port').values('port').distinct()
    return render_to_response("uniquePorts.html", {'ports': ports, 'count': ports.count()}) 
